Manifest-Version: 1.0
Bnd-LastModified: 1785839751888
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object API
Bundle-SymbolicName: com.liferay.object.api
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 74.0.0.hotfix-7311-7413
Created-By: 1.8.0_492 (Azul Systems, Inc.)
Export-Package: com.liferay.object.action.engine;version="3.0.0.hotfix
 -7311-7413";uses:="com.liferay.portal.kernel.json",com.liferay.object
 .action.executor;version="6.0.0.hotfix-7311-7413";uses:="com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.util",com.liferay.object
 .action.trigger;version="2.0.0.hotfix-7311-7413",com.liferay.object.c
 onfiguration;version="1.0.0.hotfix-7311-7413";uses:="aQute.bnd.annota
 tion.metatype,com.liferay.portal.configuration.metatype.annotations",
 com.liferay.object.constants;version="7.7.0.hotfix-7311-7413",com.lif
 eray.object.definition.notification.term.util;version="1.0.0.hotfix-7
 311-7413",com.liferay.object.definition.tree;version="1.0.0.hotfix-73
 11-7413",com.liferay.object.deployer;version="1.1.0.hotfix-7311-7413"
 ;uses:="com.liferay.object.model,org.osgi.framework",com.liferay.obje
 ct.display.context;version="2.0.0.hotfix-7311-7413";uses:="com.lifera
 y.frontend.taglib.clay.servlet.taglib.util,com.liferay.object.model,c
 om.liferay.portal.kernel.exception,javax.servlet.jsp",com.liferay.obj
 ect.dynamic.data.mapping.expression;version="1.0.0.hotfix-7311-7413";
 uses:="com.liferay.dynamic.data.mapping.expression",com.liferay.objec
 t.entry.util;version="2.3.0.hotfix-7311-7413";uses:="com.liferay.obje
 ct.model,com.liferay.object.system,com.liferay.portal.kernel.model,co
 m.liferay.portal.vulcan.dto.converter",com.liferay.object.exception;v
 ersion="21.0.0.hotfix-7311-7413";uses:="com.liferay.object.model,com.
 liferay.object.validation.rule,com.liferay.portal.kernel.exception",c
 om.liferay.object.field.builder;version="2.4.0.hotfix-7311-7413";uses
 :="com.liferay.object.model",com.liferay.object.field.business.type;v
 ersion="8.1.0.hotfix-7311-7413";uses:="com.liferay.object.field.rende
 r,com.liferay.object.model,com.liferay.portal.kernel.exception,com.li
 feray.portal.vulcan.extension",com.liferay.object.field.filter.parser
 ;version="6.0.0.hotfix-7311-7413";uses:="com.liferay.frontend.data.se
 t.filter,com.liferay.list.type.service,com.liferay.object.model,com.l
 iferay.object.service,com.liferay.object.system,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.language,com.liferay.portal.kernel.service",com.liferay.object.fie
 ld.frontend.data.set.filter;version="3.0.0.hotfix-7311-7413";uses:="c
 om.liferay.frontend.data.set.filter",com.liferay.object.field.render;
 version="2.0.0.hotfix-7311-7413";uses:="javax.servlet.http",com.lifer
 ay.object.field.setting.builder;version="1.0.0.hotfix-7311-7413";uses
 :="com.liferay.object.model",com.liferay.object.field.setting.util;ve
 rsion="1.2.0.hotfix-7311-7413";uses:="com.liferay.dynamic.data.mappin
 g.expression,com.liferay.object.model,com.liferay.object.service,com.
 liferay.portal.kernel.model",com.liferay.object.field.util;version="3
 .2.0.hotfix-7311-7413";uses:="com.liferay.dynamic.data.mapping.expres
 sion,com.liferay.object.model,com.liferay.portal.kernel.exception",co
 m.liferay.object.filter.util;version="1.0.0.hotfix-7311-7413";uses:="
 com.liferay.object.model,com.liferay.portal.kernel.json",com.liferay.
 object.model;version="8.4.0.hotfix-7311-7413";uses:="com.liferay.expo
 rtimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.d
 sl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.kerne
 l.bean,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.util",com.liferay.object.model.list
 ener;version="1.0.0.hotfix-7311-7413";uses:="com.liferay.object.model
 ,com.liferay.portal.kernel.model",com.liferay.object.odata.filter.exp
 ression.field.predicate.provider;version="1.0.0.hotfix-7311-7413";use
 s:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.expression,co
 m.liferay.portal.odata.filter.expression",com.liferay.object.petra.sq
 l.dsl;version="2.1.0.hotfix-7311-7413";uses:="com.liferay.object.mode
 l,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base",com.lifer
 ay.object.related.models;version="6.1.0.hotfix-7311-7413";uses:="com.
 liferay.object.model,com.liferay.petra.sql.dsl.expression,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model",com.liferay
 .object.relationship.util;version="1.2.0.hotfix-7311-7413";uses:="com
 .liferay.object.model,com.liferay.portal.kernel.exception",com.lifera
 y.object.rest.context.path;version="1.0.0.hotfix-7311-7413",com.lifer
 ay.object.scope;version="1.1.0.hotfix-7311-7413";uses:="com.liferay.p
 ortal.kernel.exception,javax.servlet.http",com.liferay.object.service
 ;version="49.0.0.hotfix-7311-7413";uses:="com.liferay.exportimport.ke
 rnel.lar,com.liferay.object.model,com.liferay.object.system,com.lifer
 ay.petra.sql.dsl,com.liferay.petra.sql.dsl.expression,com.liferay.pet
 ra.sql.dsl.query,com.liferay.petra.sql.dsl.query.sort,com.liferay.por
 tal.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal
 .kernel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.security.access.control,
 com.liferay.portal.kernel.security.permission.resource,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.service.persistence,com
 .liferay.portal.kernel.systemevent,com.liferay.portal.kernel.transact
 ion,com.liferay.portal.kernel.util",com.liferay.object.service.persis
 tence;version="6.8.0.hotfix-7311-7413";uses:="com.liferay.object.exce
 ption,com.liferay.object.model,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.service.persi
 stence,com.liferay.portal.kernel.util",com.liferay.object.system;vers
 ion="16.1.0.hotfix-7311-7413";uses:="com.liferay.object.model,com.lif
 eray.petra.sql.dsl,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.v
 ulcan.extension",com.liferay.object.util.comparator;version="1.0.0.ho
 tfix-7311-7413";uses:="com.liferay.object.model,com.liferay.portal.ke
 rnel.util",com.liferay.object.validation.rule;version="5.0.0.hotfix-7
 311-7413",com.liferay.object.validation.rule.setting.builder;version=
 "1.0.0.hotfix-7311-7413";uses:="com.liferay.object.model"
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.document.library.kernel.model;version="8.2",com.liferay.document.l
 ibrary.kernel.service;version="14.0",com.liferay.dynamic.data.mapping
 .expression;version="5.0",com.liferay.exportimport.kernel.lar;version
 ="5.0",com.liferay.frontend.data.set.filter;version="7.0",com.liferay
 .frontend.taglib.clay.servlet.taglib.util;version="4.6",com.liferay.l
 ist.type.model;version="2.3",com.liferay.list.type.service;version="7
 .2",com.liferay.object.dynamic.data.mapping.expression;version="1.0",
 com.liferay.object.entry.util;version="2.3",com.liferay.object.except
 ion;version="21.0",com.liferay.object.field.frontend.data.set.filter;
 version="3.0",com.liferay.object.field.render;version="2.0",com.lifer
 ay.object.field.setting.util;version="1.2",com.liferay.object.model;v
 ersion="8.4",com.liferay.object.relationship.util;version="1.2",com.l
 iferay.object.service;version="49.0",com.liferay.object.service.persi
 stence;version="6.8",com.liferay.object.system;version="16.1",com.lif
 eray.object.validation.rule;version="5.0",com.liferay.petra.lang;vers
 ion="1.3",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.s
 ql.dsl.base;version="1.0",com.liferay.petra.sql.dsl.expression;versio
 n="2.0",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.pet
 ra.sql.dsl.query.sort;version="1.0",com.liferay.petra.string;version=
 "1.7",com.liferay.portal.configuration.metatype.annotations;version="
 1.8",com.liferay.portal.kernel.annotation;version="7.0",com.liferay.p
 ortal.kernel.bean;version="10.1",com.liferay.portal.kernel.cluster;ve
 rsion="9.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.life
 ray.portal.kernel.exception;version="13.3",com.liferay.portal.kernel.
 feature.flag;version="1.0",com.liferay.portal.kernel.json;version="12
 .1",com.liferay.portal.kernel.jsonwebservice;version="9.0",com.lifera
 y.portal.kernel.language;version="11.0",com.liferay.portal.kernel.log
 ;version="8.0",com.liferay.portal.kernel.model;version="30.4",com.lif
 eray.portal.kernel.model.wrapper;version="3.0",com.liferay.portal.ker
 nel.search;version="20.2",com.liferay.portal.kernel.security.access.c
 ontrol;version="2.0",com.liferay.portal.kernel.security.auth;version=
 "6.1",com.liferay.portal.kernel.security.permission.resource;version=
 "2.3",com.liferay.portal.kernel.service;version="25.1",com.liferay.po
 rtal.kernel.service.persistence;version="22.1",com.liferay.portal.ker
 nel.systemevent;version="6.2",com.liferay.portal.kernel.transaction;v
 ersion="8.1",com.liferay.portal.kernel.util;version="63.0",com.lifera
 y.portal.kernel.workflow;version="21.0",com.liferay.portal.odata.filt
 er.expression;version="2.3",com.liferay.portal.vulcan.dto.converter;v
 ersion="4.0",com.liferay.portal.vulcan.extension;version="4.2",com.li
 feray.portal.vulcan.util;version="11.3",javax.servlet.http,javax.serv
 let.jsp;version="2.3",javax.ws.rs;version="2.1",javax.ws.rs.core;vers
 ion="2.1",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Require-Capability: osgi.contract;osgi.contract=JavaServlet;filter:="(
 &(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osg
 i.ee=JavaSE)(version=1.8))"
Tool: Bnd-5.3.0.202102221516

